cl.cromer.estructuras

## Class Array.ParticionarResult

- java.lang.Object
- - cl.cromer.estructuras.Array.ParticionarResult

Enclosing class:
  Array

    public final class Array.ParticionarResult
    extends java.lang.Object

Esta clase contiene los resultados de Partricionar.

### Field Summary

Fields
`private boolean` `cambio` Si habia algun cambio.
`private int` `punteroIzquerda` La parte izquerda que cambió.

### Constructor Summary

Constructors
Constructor and Description
`ParticionarResult(boolean cambio, int punteroIzquerda)` Inicializar.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getCambio()` Devolver el cambio.
`int` `getPunteroIzquerda()` Devolver el puntero izquerda.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cambio

    private final boolean cambio

Si habia algun cambio.

#### punteroIzquerda

    private final int punteroIzquerda

La parte izquerda que cambió.

### Constructor Detail

#### ParticionarResult

    public ParticionarResult(boolean cambio,
                             int punteroIzquerda)

Inicializar.

Parameters:
  `cambio` - boolean: Si habia un cambio o no.
  `punteroIzquerda:` - El valor desde la izquerda donde fue un cambio.

### Method Detail

#### getCambio

    public boolean getCambio()

Devolver el cambio.

Returns:
  boolean: Devolver el valor de cambio.

#### getPunteroIzquerda

    public int getPunteroIzquerda()

Devolver el puntero izquerda.

Returns:
  int: Devolver el valor de puntero.